import { OnDestroy, OnInit } from '@angular/core';
import { BbDashboard } from '../dashboard/dashboard.component';
import { Storage } from '@bravobit/bb-foundation/storage';
export declare class BbDashboardSidebar implements OnInit, OnDestroy {
    private _storage;
    private _parent;
    visible: boolean;
    private _state$;
    private _cache;
    private _subscription;
    private readonly _localStorageToken;
    constructor(_storage: Storage, _parent: BbDashboard);
    ngOnInit(): void;
    ngOnDestroy(): void;
    registerGroup(id: string): import("rxjs").Observable<boolean>;
    unregisterGroup(id: string): void;
    toggleGroup(id: string, newValue: boolean): void;
    close(): void;
}
